漏洞信息详情

kerberos package for Node.js 代码问题漏洞

  • CNNVD编号:CNNVD-202005-838
  • 危害等级: 高危
  • CVE编号: CVE-2020-13110
  • 漏洞类型: 代码问题
  • 发布时间: 2020-05-16
  • 威胁类型: 本地
  • 更新时间: 2020-08-17
  • 厂        商:
  • 漏洞来源:

漏洞简介

kerberos package for Node.js是一款基于Node.js、为kerberos身份验证提供跨平台支持的软件包。

kerberos package for Node.js 1.0.0之前版本中的DLL路径搜索过程存在安全漏洞。攻击者可借助kerberos_sspi LoadLibrary()方法利用该漏洞执行任意代码和提升权限。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:

https://www.npmjs.com/package/kerberos

参考网址

来源:www.npmjs.com

链接:https://www.npmjs.com/package/kerberos

来源:MISC

链接:https://medium.com/@kiddo_Ha3ker/dll-injection-attack-in-kerberos-npm-package-cb4b32031cd

来源:MISC

链接:https://www.linkedin.com/posts/op-innovate_dll-injection-attack-in-kerberos-npm-package-activity-6667043749547253760-kVlW

来源:MISC

链接:https://www.npmjs.com/advisories/1514

来源:MISC

链接:https://www.op-c.net/2020/05/15/dll-injection-attack-in-kerberos-npm-package/

来源:vigilance.fr

链接:https://vigilance.fr/vulnerability/Node-js-kerberos-executing-DLL-code-32287

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2020-13110

来源:www.nsfocus.net

链接:http://www.nsfocus.net/vulndb/47792

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多